%global pypi_name pytest-mock
%global file_name pytest_mock
%global desc This plugin installs a mocker fixture which is a thin-wrapper around the \
patching API provided by the mock package, but with the benefit of not having \
to worry about undoing patches at the end of a test.


Name:           python3-%{pypi_name}
Version:        1.10.4
Release:        1%{?dist}
Summary:        Thin-wrapper around the mock package for easier use with py.test

License:        MIT
URL:            https://pypi.python.org/pypi/pytest-mock
Source0:        https://files.pythonhosted.org/packages/source/p/pytest-mock/pytest-mock-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest >= 2.7
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
Requires:       python%{python3_pkgversion}-pytest >= 2.7
Provides:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
%{desc}


%prep
%setup -qn %{pypi_name}-%{version}
rm -rf *.egg-info

# Correct end of line encoding for README
sed -i 's/\r$//' README.rst


%build
%py3_build


%install
%py3_install


%check
# No idea why we do not get the expected deprecation warnig
PYTHONPATH="$(pwd)" py.test-%{python3_version} -k 'not test_deprecated_mock' test_pytest_mock.py


%files
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{file_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{file_name}.py*
%{python3_sitelib}/__pycache__/%{file_name}*.py*
%{python3_sitelib}/_pytest_mock_version.py*
%{python3_sitelib}/__pycache__/_pytest_mock_version.cpython*


%changelog
* Fri Aug 16 2019 Orion Poplawski <orion@nwra.com> - 1.10.4-1
- Initial EPEL package
